Agent Governance Protocol
API ReferenceRegistry APIRevocations

Get revocation notice

GET
/agp/revocations/{revocationId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

revocationId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/revocations/string"
{  "type": "RevocationNotice",  "revocation_id": "string",  "issuer": "string",  "target_type": "CapabilityToken",  "target_id": "string",  "reason": "string",  "effective_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}